| Home | Libraries | People | FAQ | More

##### as_list

###### Description

Returns the result type of `as_list`.

###### Synopsis

    template <typename Sequence>
    struct as_list;

###### Parameters

Parameter | Requirement | Description
--- | --- | ---
`Sequence` | A fusion Sequence | The sequence type to convert.

###### Expression Semantics

    result_of::as_list<Sequence>::type;

Return type: A `list` with same elements as the input sequence, `Sequence`.

Semantics: Convert a fusion sequence, `Sequence`, to a `list`.

###### Header

    #include <boost/fusion/container/list/convert.hpp>
    #include <boost/fusion/include/as_list.hpp>

###### Example

    result_of::as_list<vector<char, int> >::type